<?php
if (!defined('_PS_VERSION_'))
	exit;

class BlackRibbon extends Module
{
	public function __construct()
	{
		$this->name = 'blackribbon';
		$this->tab = 'front_office_features';
		$this->version = '3.0';
		$this->author = 'EURL 2FR3';
		$this->need_instance = 0;
		$this->ps_versions_compliancy = array('min' => '1.3', 'max' => _PS_VERSION_);
		$this->bootstrap = true;
		
		parent::__construct();
		
		$this->displayName = $this->l('Black Ribbon');
		$this->description = $this->l('Affiche un petit ruban noir supportant les victimes des attentats.');
		$this->confirmUninstall = $this->l('Etes vous certain de vouloir désinstaller ce module ?');
	}
	
	public function install()
	{
		if (version_compare(_PS_VERSION_,'1.5','>=')) {
			if (Shop::isFeatureActive())
				Shop::setContext(Shop::CONTEXT_ALL);
		}
		return parent::install() &&
			$this->registerHook('header') &&
			$this->registerHook('top');
	}
	
	public function uninstall()
	{
		return parent::uninstall();
	}
	
	public function hookTop()
	{
		return $this->display(__FILE__, 'views/templates/hook/blackribbon.tpl');
	}
	
	public function hookHeader()
	{
		if (version_compare(_PS_VERSION_,'1.5','<')) {
			global $smarty;
			$smarty->assign('this_path', $this->_path);
			return $this->display(__FILE__, 'header.tpl');
		}
		$this->context->controller->addCSS($this->_path.'views/css/blackribbon.css', 'all');
	}
}
?>